release/deploy-github: simplify tag checks

Signed-off-by: Harsh Shandilya <me@msfjarvis.dev>
This commit is contained in:
Harsh Shandilya 2020-05-24 16:26:45 +05:30
parent 0146b5ae94
commit a973f88828
No known key found for this signature in database
GPG key ID: 366D7BBAD1031E80

View file

@ -4,16 +4,8 @@ trap 'exit 1' SIGINT SIGTERM
[ -z "$(command -v hub)" ] && { echo "hub not installed; aborting!"; exit 1; }
[ -z "${1}" ] && { echo "No tag specified!"; exit 1; }
found_tag=
git tag -l | while read -r tag; do
if [ "$tag" == "${1}" ]; then
found_tag=true
break
fi
done
[ -z "${found_tag}" ] && { echo "Cannot find tag ${1} in the repository"; exit 1; }
prev_ref="$(git rev-parse --abbrev-ref HEAD)"
git checkout "${1}"
git checkout "${1}" || exit 1
gradle clean bundleRelease assembleRelease
hub release create "${1}" -a app/build/outputs/apk/release/app-release.apk
git checkout "$prev_ref"